VCS: https://gitlab.cern.ch/linuxsupport/rpms/releases/oracle-release/-/tree/7ab5c280902b9b0b029922e794f12d2d41525c53
%define product oracle
%define debug_package %{nil}
%define distOS 8al

Name:		%{product}-release
Version:	1.5
Release:	2%{?dist}
Summary:	CERN %{product} repository release file
Group:		System Environment/Base
License:	GPLv2
URL:		http://linux.cern.ch/
BuildArch:  noarch
Source0:	dbclients.repo
Source1:	dbclients-qa.repo
Source2:	dbclients-testing.repo
Source3:	%{product}-instantclient.repo
Source4:	RPM-GPG-KEY-oracle-ol8

%description
The package contains yum configuration for the CERN %{product} repository

%prep
%setup -q  -c -T
install -pm 0644 %{SOURCE0} %{SOURCE1} %{SOURCE2} %{SOURCE3} .
%define KOJITAG dbclients%{distOS}
find . -type f -name 'dbclients*.repo' | xargs sed -i 's/KOJITAG/%{KOJITAG}/g'

%build

%install
rm -rf $RPM_BUILD_ROOT
install -dm 0755 $RPM_BUILD_ROOT%{_sysconfdir}/pki/rpm-gpg
install -dm 0755 $RPM_BUILD_ROOT%{_sysconfdir}/yum.repos.d
install -pm 0644 dbclients-testing.repo dbclients-qa.repo dbclients.repo $RPM_BUILD_ROOT%{_sysconfdir}/yum.repos.d
%if 0%{?rhel} == 8
install -pm 0644 %{SOURCE3} $RPM_BUILD_ROOT%{_sysconfdir}/yum.repos.d
install -pm 0644 %{SOURCE4} $RPM_BUILD_ROOT/etc/pki/rpm-gpg/RPM-GPG-KEY-oracle-ol8
%endif

%files
%defattr(-,root,root,-)
%doc
%config(noreplace) /etc/yum.repos.d/*
%if 0%{?rhel} == 8
/etc/pki/rpm-gpg/RPM-GPG-KEY-oracle-ol8
%endif

%changelog

* Thu Oct 28 2021 Daniel Juarez <djuarezg@cern.ch> 1.5-1
- Add oracle instantclient21 mirror repo

* Thu Mar 04 2021 Daniel Juarez <djuarezg@cern.ch> 1.3-1
- Support build for both el8 and el8s

* Mon Nov 09 2020 Daniel Juarez <djuarezg@cern.ch> 1.2-1
- add instantclient mirror repo for C8
- replace OL7 GPG key with OL8

* Tue Mar 17 2020 Ben Morrice <ben.morrice@cern.ch> 1.1-1
- add Oracle OL7 GPG key to configured repos

* Fri Mar 06 2020 Alex Iribarren <Alex.Iribarren@cern.ch> 1.0-1
- Initial release
